about summary refs log tree commit diff
path: root/tests/parallel.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2013-11-25T17·47+0100
committerEelco Dolstra <eelco.dolstra@logicblox.com>2013-11-25T17·47+0100
commit0202ce6b94f287f70a6723473c73a4c7f135dae4 (patch)
treeb87dc49e456c3e9a2cb335b94ac22542a875be32 /tests/parallel.sh
parent9285f0aa2b44427afef7c50f0efae8f74307a7a5 (diff)
Add support for ‘make installcheck’
Diffstat (limited to 'tests/parallel.sh')
-rw-r--r--tests/parallel.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/parallel.sh b/tests/parallel.sh
index 9b150263a59d..3b7bbe5a2251 100644
--- a/tests/parallel.sh
+++ b/tests/parallel.sh
@@ -6,7 +6,7 @@ echo "testing nix-build -j..."
 
 clearStore
 
-rm -f $SHARED.cur $SHARED.max
+rm -f $_NIX_TEST_SHARED.cur $_NIX_TEST_SHARED.max
 
 outPath=$(nix-build -j10000 parallel.nix --no-out-link)
 
@@ -15,8 +15,8 @@ echo "output path is $outPath"
 text=$(cat "$outPath")
 if test "$text" != "abacade"; then exit 1; fi
 
-if test "$(cat $SHARED.cur)" != 0; then fail "wrong current process count"; fi
-if test "$(cat $SHARED.max)" != 3; then fail "not enough parallelism"; fi
+if test "$(cat $_NIX_TEST_SHARED.cur)" != 0; then fail "wrong current process count"; fi
+if test "$(cat $_NIX_TEST_SHARED.max)" != 3; then fail "not enough parallelism"; fi
 
 
 # Second, test that parallel invocations of nix-build perform builds
@@ -25,7 +25,7 @@ echo "testing multiple nix-build -j1..."
 
 clearStore
 
-rm -f $SHARED.cur $SHARED.max
+rm -f $_NIX_TEST_SHARED.cur $_NIX_TEST_SHARED.max
 
 drvPath=$(nix-instantiate parallel.nix --argstr sleepTime 15)
 
@@ -52,5 +52,5 @@ wait $pid2 || fail "instance 2 failed: $?"
 wait $pid3 || fail "instance 3 failed: $?"
 wait $pid4 || fail "instance 4 failed: $?"
 
-if test "$(cat $SHARED.cur)" != 0; then fail "wrong current process count"; fi
-if test "$(cat $SHARED.max)" != 3; then fail "not enough parallelism"; fi
+if test "$(cat $_NIX_TEST_SHARED.cur)" != 0; then fail "wrong current process count"; fi
+if test "$(cat $_NIX_TEST_SHARED.max)" != 3; then fail "not enough parallelism"; fi